services:
    prowlarr:
        container_name: prowlarr
        environment:
            - PUID=1000
            - PGID=1000
            - UMASK=022
            - TZ=America/Denver
        image: hotio/prowlarr:testing
        labels:
            traefik.docker.network: traefik
            traefik.enable: true
            traefik.http.routers.prowlarr.entrypoints: websecure
            traefik.http.routers.prowlarr.rule: Host(`prowlarr.alexlebens.net`)
            traefik.http.routers.prowlarr.service: prowlarr
            traefik.http.services.prowlarr.loadbalancer.server.port: 9696
        logging:
            driver: json-file
            options:
                max-size: 50m
                max-file: "3"
        networks:
            traefik:
                ipv4_address: 172.27.1.34
        restart: always
        volumes:
            - prowlarr:/config:rw

networks:
    traefik:
        name: traefik
        external: true

volumes:
    prowlarr:
        driver: local
        driver_opts:
            type: none
            o: bind
            device: /var/lib/docker/volumes/partition/servarr_prowlarr
